Page MenuHomePhabricator

Cleanup multiple definitions of logstash endpoint in puppet / hiera
Closed, ResolvedPublic

Description

Multiple puppet modules define their own hiera variable to configure the logstash endpoint. The canonical variable should be logstash_host defined in hieradata/common.yaml.

Event Timeline

Gehel created this task.Dec 7 2017, 10:34 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2017, 10:34 AM

Change 395970 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] elasticsearch: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/395970

Change 396072 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] service: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/396072

Change 395970 merged by Gehel:
[operations/puppet@production] elasticsearch: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/395970

debt added a subscriber: debt.Dec 12 2017, 6:25 PM

This appeared to be fairly easy at first, but turned out to be a big re-factoring amount of work.

Change 399624 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] aqs: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399624

Change 399629 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] kafkatee: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399629

Change 399624 merged by Gehel:
[operations/puppet@production] aqs: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399624

Change 399629 merged by Gehel:
[operations/puppet@production] kafkatee: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399629

Change 399644 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] gerrit: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399644

Change 399644 merged by Gehel:
[operations/puppet@production] gerrit: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399644

Change 399650 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399650

Change 399652 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] thumbor: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399652

Change 399650 merged by Gehel:
[operations/puppet@production] wdqs: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399650

Change 399652 merged by Gehel:
[operations/puppet@production] thumbor: use the canonical definition of logstash host

https://gerrit.wikimedia.org/r/399652

Change 404980 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] mediawiki: remove unused logging configuration of mediawiki

https://gerrit.wikimedia.org/r/404980

Change 404980 merged by Gehel:
[operations/puppet@production] mediawiki: remove unused logging configuration of mediawiki

https://gerrit.wikimedia.org/r/404980

Most references to logstash host are now consolidated in a single variable. There are 2 occurrences left, but they require non trivial refactorings. We can close this task and revisit at some future point.

debt closed this task as Resolved.Feb 2 2018, 5:57 PM